import './array.prototype.d.ts';
import './date.prototype.d.ts';
import './string.prototype.d.ts';
import { createApp } from 'vue'
import App from './App.vue'
import router from "./router";
import {setupStore} from "@/store";
import {setupCustomComponents} from "@/plugins/customComponents";
// 2. 引入组件样式
import 'vant/lib/index.css';
import 'vant/es/toast/style'

const app = createApp(App)
app.use(router)

app.mount('#app')

setupStore(app)

setupCustomComponents(app)
